<?xml version="1.0" encoding="UTF-8"?>
<features>
    <!--whether the device is pad-->
    <bool name="is_pad">false</bool>
    <!--whether the device is xiaomi-->
    <bool name="is_xiaomi">false</bool>
    <!--whether the device is hongmi-->
    <bool name="is_hongmi">true</bool>
    <!--whether the device support alpha optimized-->
    <bool name="support_alpha_optimized">true</bool>
    <!--whether the device supports torch-->
    <bool name="support_torch">true</bool>
    <!--whether install the fm app-->
    <bool name="support_fm">true</bool>
    <!--whether the device supports oldman mode-->
    <bool name="support_oldman_mode">true</bool>
    <!--whether the device is dual sim card-->
    <bool name="support_dual_sim_card">true</bool>
    <!--whether the device has dual systems-->
    <bool name="is_dual_system">false</bool>
    <!--whether the device has dual sd card-->
    <bool name="support_dual_sd_card">true</bool>
    <!--whether the device supports bt debug trace-->
    <bool name="btdebug_enabled">true</bool>
    <!--whether the device supports page layout-->
    <bool name="support_page_layout">false</bool>
    <!--whether the device supports record param-->
    <bool name="support_record_param">true</bool>
    <!--whether the device supports interview record param-->
    <bool name="support_interview_record_param">true</bool>
    <!--whether the device supports stereo record-->
    <bool name="support_stereo_record">true</bool>
    <!--whether the device supports screen paper mode-->
    <bool name="support_screen_paper_mode">true</bool>
    <!--whether the device supports button light-->
    <bool name="support_button_light">false</bool>
    <!--whether the device supports emulated storage-->
    <bool name="support_emulated_storage">true</bool>
    <!--whether the device supports internal sdcard-->
    <bool name="support_internal_sdcard">false</bool>
    <!--whether the device supports power mode-->
    <bool name="support_power_mode">false</bool>
    <!--whether the device supports dolby-->
    <bool name="support_dolby">false</bool>
    <!--which screen effect options should be show-->
    <integer name="screen_effect_supported">7</integer>
    <!--whether the device supports wapi-->
    <bool name="support_wapi">true</bool>
    <!--whether the device is mediatek-->
    <bool name="is_mediatek">false</bool>
    <!--whether the device supports media feedback-->
    <bool name="support_media_feedback">false</bool>
    <!--whether the device supports phone call noise suppression-->
    <bool name="support_phone_call_noise_suppression">false</bool>
    <!--whether the device supports touch sensitive-->
    <bool name="support_touch_sensitive">false</bool>
    <!--whether the device supports broadcom wapi-->
    <bool name="support_broadcom_wapi">true</bool>
    <!--whether the device supports erase external storage-->
    <bool name="support_erase_external_storage">true</bool>
    <!--whether the device supports headset-->
    <bool name="support_headset">true</bool>
    <!--whether the device supports nvdia wifi display-->
    <bool name="support_nvdia_wifi_display">false</bool>
    <!--whether the device supports eap sim-->
    <bool name="support_eap_sim">true</bool>
    <!--whether the device supports screen optimize-->
    <bool name="support_screen_optimize">true</bool>
    <!--whether the device supports agps-->
    <bool name="support_agps">true</bool>
    <!--whether the device supports feedback level-->
    <bool name="support_feedback_level">true</bool>
    <!--whether the device supports miui lite-->
    <bool name="enable_miui_lite">false</bool>
    <!--whether the device supports steps_provider-->
    <bool name="support_steps_provider">true</bool>
    <!--whether the device support hall sensor-->
    <bool name="support_hall_sensor">true</bool>
    <!--whether the device supports hifi-->
    <bool name="support_hifi">false</bool>
    <!--whether the device supports agps parameters-->
    <bool name="support_agps_paras">true</bool>
    <!--whether the device supports agps roaming-->
    <bool name="support_agps_roaming">false</bool>
    <!--whether the device supports IR-->
    <bool name="support_ir">true</bool>
    <!-- whether the device supports app hiding-->
    <bool name="support_app_hiding">true</bool>
    <!--whether the device can read cpu4 freq-->
    <bool name="is_read_cpu4_freq">false</bool>
    <!--whether the device supports cit-->
    <bool name="support_cit">true</bool>
    <!--whether the device is xiaomi-->
    <bool name="is_xiaomi_device">true</bool>
    <!--whether the device supports encrypt-->
    <bool name="support_device_encrypt">true</bool>
    <!--whether support burst shoot in camera-->
    <bool name="support_camera_burst_shoot">true</bool>
    <!--whether support burst shoot denoise in camera-->
    <bool name="support_camera_burst_shoot_denoise">true</bool>
    <!--whether support solid recording in camera-->
    <bool name="support_camera_movie_solid">true</bool>
    <!--whether support shader effect in camera-->
    <bool name="support_camera_shader_effect">true</bool>
    <!-- whether camera support India special filter -->
    <bool name="camera_support_india_filter">true</bool>
    <!--whether support skin beauty in camera-->
    <bool name="support_camera_skin_beauty">true</bool>
    <!--whether support age detection in camera-->
    <bool name="support_camera_age_detection">true</bool>
    <!--whether support record location in camera-->
    <bool name="support_camera_record_location">true</bool>
    <!--whether support time watermark in camera-->
    <bool name="support_camera_water_mark">true</bool>
    <!--whether support new style time watermark in camera-->
    <bool name="support_camera_new_style_time_water_mark">true</bool>
    <!--whether support face info watermark in camera-->
    <bool name="support_camera_face_info_water_mark">true</bool>
    <!--whether support pause recording in camera-->
    <bool name="support_camera_video_pause">true</bool>
    <!--whether support boosting screen brightness in camera-->
    <bool name="support_camera_boost_brightness">true</bool>
    <!--whether taking lower size panorama in camera-->
    <bool name="is_lower_size_panorama">true</bool>
    <!--whether taking lower size effect image in camera-->
    <bool name="is_lower_size_effect">false</bool>
    <!-- support nfc -->
    <bool name="support_nfc">false</bool>
    <!--whether support aohdr in camera-->
    <bool name="support_camera_aohdr">false</bool>
    <!--whether support high frame recording in camera-->
    <bool name="support_camera_hfr">true</bool>
    <!--whether support chroma flash in camera-->
    <bool name="support_chroma_flash">false</bool>
    <!--whether support object tracking in camera-->
    <bool name="support_object_track">false</bool>
    <!--whether support 4k recording in camera-->
    <bool name="support_camera_4k_quality">false</bool>
    <!--whether support audio focus recording in camera-->
    <bool name="support_camera_audio_focus">false</bool>
    <!--whether use morpho lib in camera-->
    <bool name="is_camera_use_morpho_lib">true</bool>
    <!--mfnr is opened by default, mfnr and hht are mutually exclusive, so hide hht menu-->
    <bool name="is_camera_hide_hht_menu">true</bool>
    <!--whether replace a lower cost effect to avoid preview lag-->
    <bool name="is_camera_replace_higher_cost_effect">false</bool>
    <!--whether support manual focus/exposure_time in camera-->
    <bool name="support_camera_manual_function">true</bool>
    <!--whether support camera continuous iso mode-->
    <bool name="support_camera_continuous_iso">true</bool>
    <!--whether capture when user press down the shutter in camera instead of left the shutter-->
    <bool name="support_camera_press_down_capture">true</bool>
    <!--whether support capture in torch mode in camera-->
    <bool name="support_camera_torch_capture">true</bool>
    <!--whether freeze preview after hdr capture in camera-->
    <bool name="is_camera_freeze_after_hdr_capture">false</bool>
    <!--whether set orientation info for face detection in camera-->
    <bool name="is_camera_face_detection_need_orientation">false</bool>
    <!--whether hold blured background for effects preview in camera-->
    <bool name="is_camera_hold_blur_background">true</bool>
    <!--whether support peaking mf in camera-->
    <bool name="support_camera_peaking_mf">false</bool>
    <!--whether support gradienter in camera-->
    <bool name="support_camera_gradienter">true</bool>
    <!--whether scan qrcode with lower frequency in camera-->
    <bool name="is_camera_lower_qrscan_frequency">true</bool>
    <!--whether listen frame with single subthread looper in camera-->
    <bool name="is_camera_preview_with_subthread_looper">true</bool>
    <!--whether add watermark in camera app-->
    <bool name="is_camera_app_water_mark">true</bool>
    <!--whether support tiltshift  in camera-->
    <bool name="support_camera_tilt_shift">true</bool>
    <!--whether support magic mirror in camera-->
    <bool name="support_camera_magic_mirror">true</bool>
    <!--whether support groupshot mode in camera-->
    <bool name="support_camera_groupshot">true</bool>
    <!--whether support snap with screen off  in camera-->
    <bool name="support_camera_quick_snap">true</bool>
    <!-- whether the device app permission detail show in provision-->
    <bool name="support_provision_app_permission">true</bool>
    <!--whether support pre-installed application-->
    <bool name="support_pre_installed_application">true</bool>
    <!--wheater support show credentials-->
    <bool name="support_credentials">true</bool>
    <!--the vendor feature, it's value may be qcom,mediatek,leadcore or nvidia-->
    <string name="vendor">qcom</string>
    <!--release time for the device, should be an unix timestamp-->
    <string name="release_time">1470758400000</string>
    <!--0:not support 1:close gamut 2:close ce-->
    <integer name="screen_standard_mode">2</integer>
    <!--Flag of reduce preview size in camera(1:reduce, 0:do not reduce; (low->high)1st byte:rear camera, 2nd byte:front camera, 3rd byte:rear video, 4th byte:front video )-->
    <integer name="camera_reduce_preview_flag">2</integer>
    <!--max number of burst images one time -->
    <integer name="burst_shoot_count">20</integer>
    <!--support front flash or not-->
    <bool name="support_front_flash">false</bool>
    <!--b0:flash b1:hdr b2:motion b3:night-->
    <integer name="camera_supported_asd">11</integer>
    <!--whether rotate the final image in camera isp-->
    <bool name="is_camera_isp_rotated">false</bool>
    <!--front asd b0:flash b1:hdr b2:motion b3:night-->
    <integer name="camera_supported_front_asd">10</integer>
    <!-- front hht enhance-->
    <bool name="support_front_hht_enhance">true</bool>
    <!--whether front sensor support remosic-->
    <bool name="is_front_remosic_sensor">false</bool>
    <!--max cpu freq of the device-->
    <integer name="cpu_max_freq">200</integer>
    <!--total steps number of camera compensation-->
    <float name="camera_exposure_compensation_steps_num">12.0</float>
    <!--Left margin of count down parent layout for front camera-->
    <float name="camera_front_count_down_margin">0.3177</float>
    <!--camera continuous shot callback class name-->
    <string name="camera_continuous_shot_callback_class">ContinuousShotCallback</string>
    <!--camera continuous shot callback setter method name-->
    <string name="camera_continuous_shot_callback_setter">setContinuousShotCallback</string>
    <bool name="fingerprint_wakeup_device">true</bool>
    <!-- fingerprint navigation event name list -->
    <string-array name="fp_nav_event_name_list">
        <item>fpc_irq_wakeup</item>
        <item>fp-keys</item>
        <item>uinput-fpc</item>
        <item>uinput-goodix</item>
    </string-array>
    <!-- type of soter finger pay, config by owner of soter -->
    <integer name="type_soter_finger_pay">2</integer>
    <!-- whether support double tap to wake up device -->
    <bool name="support_gesture_wakeup">true</bool>
    <!--Led light features-->
    <bool name="support_led_light">true</bool>
    <bool name="support_led_color">false</bool>
    <bool name="support_audio_loopback">true</bool>
    <!--Add for the system data-app which could uninstall by user-->
    <string-array name="system_data_packagename_list">
        <item>com.xiaomi.pass</item>
        <item>com.xiaomi.scanner</item>
        <item>com.xiaomi.gamecenter</item>
        <item>com.miui.weather2</item>
        <item>com.miui.notes</item>
        <item>com.miui.compass</item>
        <item>com.miui.calculator</item>
        <item>com.android.email</item>
        <item>com.miui.cleanmaster</item>
        <item>com.mi.misupport</item>
        <item>com.duokan.reader</item>
        <item>com.mfashiongallery.emag</item>
        <item>com.miui.personalassistant</item>
        <item>com.miui.voip</item>
        <item>com.miui.yellowpage</item>
        <item>com.xiaomi.midrop</item>
        <item>com.android.midrive</item>
        <item>com.xiaomi.drivemode</item>
        <item>com.miui.smarttravel</item>
    </string-array>
    <!--system data-app path list -->
    <string-array name="system_data_path_list">
        <item>/system/data-app/XMPass/XMPass.apk</item>
        <item>/system/data-app/MiuiScanner/MiuiScanner.apk</item>
        <item>/system/data-app/GameCenter/GameCenter.apk</item>
        <item>/system/data-app/Weather/Weather.apk</item>
        <item>/system/data-app/Notes/Notes.apk</item>
        <item>/system/data-app/MiuiCompass/MiuiCompass.apk</item>
        <item>/system/data-app/Calculator/Calculator.apk</item>
        <item>/system/data-app/Email/Email.apk</item>
        <item>/system/data-app/CleanMaster/CleanMaster.apk</item>
        <item>/system/data-app/MiSupport/MiSupport.apk</item>
        <item>/system/data-app/com.duokan.reader/com.duokan.reader.apk</item>
        <item>/system/data-app/MiGalleryLockscreen/MiGalleryLockscreen.apk</item>
        <item>/system/data-app/PersonalAssistant/PersonalAssistant.apk</item>
        <item>/system/data-app/MiuiVoip/MiuiVoip.apk</item>
        <item>/system/data-app/YellowPage/YellowPage.apk</item>
        <item>/system/data-app/MiDrop/MiDrop.apk</item>
        <item>/system/data-app/MiDrive/MiDrive.apk</item>
        <item>/system/data-app/MiuiDriveMode/MiuiDriveMode.apk</item>
        <item>/system/data-app/SmartTravel/SmartTravel.apk</item>
    </string-array>
    <!--whether surpport paper mode animation-->
    <bool name="support_papermode_animation">true</bool>
    <!-- whether camera support AI lens entry -->
    <bool name="camera_support_ai_lens">true</bool>
    <!--whether show my device-->
    <bool name="support_my_device">true</bool>
    <!-- whether support LDAC -->
    <bool name="support_ldac">false</bool>
    <!--whether show AAC switch-->
    <bool name="show_aac_switch">false</bool>
    <!--whether round corner-->
    <bool name="support_round_corner">true</bool>
    <!--battery capacity typ of the device-->
    <string name="battery_capacity_typ">4000</string>
    <!--whether show basic info items-->
    <bool name="support_show_basic_items">true</bool>
    <!-- whether CN hardware can flash Global rom -->
    <bool name="enable_flash_global">true</bool>
    <bool name="support_new_silentmode">true</bool>
    <!--whether taking 18x9 ratio screen in camera-->
    <bool name="is_18x9_ratio_screen">false</bool>
    <!--whether support portrait in camera-->
    <bool name="is_support_portrait">true</bool>
    <!--whether taking legacy face beauty in camera-->
    <bool name="is_legacy_face_beauty">false</bool>
    <!--whether front camera support hdr or not-->
    <bool name="support_front_hdr">true</bool>
    <!--hdr default value, off:1 on:2 auto:3-->
    <integer name="support_camera_hdr_default_value">1</integer>
    <integer name="support_camera_front_hdr_default_value">1</integer>
　　<!--whether front camera support hht or not-->
    <bool name="support_front_hht">true</bool>
    <!--whether front camera support bokeh or not-->
　  <bool name="support_front_bokeh">true</bool>
    <!--whether support auto mirror in camera-->
    <bool name="support_auto_mirror">false</bool>
    <!--whether support auto mirror in camera-->
    <bool name="enhance_beauty_with_hht">true</bool>
    <!--whether support add watermark on bottom left of picture-->
    <bool name="support_picture_watermark">true</bool>
    <!--whether need video stabilizatiion crop-->
    <bool name="need_video_stabilization_crop">true</bool>
    <bool name="disable_video_stabilization_in_speed_slow_mode">true</bool>
    <!--whether add algorithm in file name or not-->
    <bool name="enable_algorithm_in_file_suffix">false</bool>
    <!--whether enable face detection in video and funmode or not-->
    <bool name="support_camera_video_face_detection">true</bool>
    <bool name="camera_supported_scene">false</bool>
    <bool name="camera_supported_ai_scene">true</bool>
    <bool name="camera_supported_front_ai_scene">true</bool>
    <bool name="camera_portrait_mode_supported_ai_scene">true</bool>
    <bool name="camera_is_support_portrait_switch">true</bool>
    <!--whether support camera video high frame-->
    <bool name="support_camera_video_high_frame">true</bool>
    <!--whether support camera super resolution-->
    <bool name="support_super_resolution">true</bool>
    <bool name="is_full_size_effect">true</bool>
    <!--whether enable front screen night or not-->
    <bool name="support_camera_screen_light">true</bool>
    <!--front screen night ahead time when capture-->
    <integer name="support_camera_screen_light_ahead_time">1000</integer>
    <!-- device head sar value -->
    <float name="device_head_sar">0.844</float>
    <!-- device body sar value -->
    <float name="device_body_sar">1.048</float>
    <!--whether support freeform mode in game mode-->
    <bool name="support_freeform_reply">true</bool>
    <!-- whether support beauty menu in back portrait mode-->
    <bool name="support_camera_beauty_menu_in_back_portrait_mode">true</bool>
    <bool name="support_camera_adv_beauty_front_bokeh">false</bool>
    <!--These region support face unlock-->
    <string-array name="support_face_unlock_region_global">
        <item>ID</item>
        <item>IN</item>
        <item>HK</item>
        <item>TW</item>
        <item>SG</item>
        <item>MY</item>
        <item>VN</item>
        <item>IT</item>
        <item>TR</item>
        <item>ES</item>
        <item>UA</item>
        <item>PH</item>
        <item>SA</item>
        <item>AE</item>
        <item>IL</item>
        <item>QA</item>
        <item>BH</item>
        <item>OM</item>
        <item>KW</item>
        <item>CZ</item>
        <item>BR</item>
        <item>NP</item>
        <item>LK</item>
        <item>BD</item>
    </string-array>
</features>

